geronimo-scm mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From xiam...@apache.org
Subject svn commit: r1091766 - /geronimo/sandbox/forrest/tck/svnupdate4tck.sh
Date Wed, 13 Apr 2011 12:58:58 GMT
Author: xiaming
Date: Wed Apr 13 12:58:58 2011
New Revision: 1091766

URL: http://svn.apache.org/viewvc?rev=1091766&view=rev
Log:
A scripts to check out code for tck execution

Added:
    geronimo/sandbox/forrest/tck/svnupdate4tck.sh   (with props)

Added: geronimo/sandbox/forrest/tck/svnupdate4tck.sh
URL: http://svn.apache.org/viewvc/geronimo/sandbox/forrest/tck/svnupdate4tck.sh?rev=1091766&view=auto
==============================================================================
--- geronimo/sandbox/forrest/tck/svnupdate4tck.sh (added)
+++ geronimo/sandbox/forrest/tck/svnupdate4tck.sh Wed Apr 13 12:58:58 2011
@@ -0,0 +1,169 @@
+#!/bin/sh
+retrytime=0
+exitstatus=1
+overallstatus=0
+
+if [ -d $HOME/tckdata/iterationexec ]; then
+    # enter the working directory
+    cd $HOME/tckdata/iterationexec
+    
+    # Update gbuild libraries
+    echo "*********************Update gbuild libraries**********************"    
+    if [ -d $HOME/tckdata/iterationexec/libraries/system ]; then
+        cd $HOME/tckdata/iterationexec/libraries/system
+        until [ $exitstatus -eq 0 ]
+        do 
+            if [ $retrytime -eq 10 ]; then
+                echo "Try 10 times on updating gbuild lib, no success and stop trying..."
+                break
+            fi
+            retrytime=`expr $retrytime + 1`
+            echo "Retry $retrytime time after 5 seconds..."
+            sleep 5s
+            svn --non-interactive --accept theirs-full update
+            exitstatus=$?
+            if [ $exitstatus -eq 0 ]; then                
+                echo "gbuild libraries is updated to latest after $retrytime times try!"
+            fi
+        done        
+        retrytime=0
+        exitstatus=1
+    else
+        cd $HOME/tckdata/iterationexec        
+        until [ $exitstatus -eq 0 ]
+        do 
+            if [ $retrytime -eq 10 ]; then
+                echo "Try 10 times on checking out gbuild lib, no success and stop trying..."
+                break
+            fi
+            retrytime=`expr $retrytime + 1`
+            echo "Retry $retrytime time after 5 seconds..."
+            sleep 5s
+            svn co http://svn.apache.org/repos/asf/geronimo/sandbox/build-support/libraries/system/1
libraries/system
+            exitstatus=$?
+            if [ $exitstatus -eq 0 ]; then
+                 echo "gbuild libraries is new checked out after $retrytime times try!" 
   
+            fi
+        done
+        retrytime=0
+        exitstatus=1       
+    fi
+    
+    # Update forrest tck
+    echo "*********************Update forrest tck**********************"    
+    if [ -d $HOME/tckdata/iterationexec/scripts ]; then
+        cd $HOME/tckdata/iterationexec/scripts
+        until [ $exitstatus -eq 0 ]
+        do 
+            if [ $retrytime -eq 10 ]; then
+                echo "Try 10 times on updating gbuild lib, no success and stop trying..."
+                break
+            fi
+            retrytime=`expr $retrytime + 1`
+            echo "Retry $retrytime time after 5 seconds..."
+            sleep 5s
+            svn --non-interactive --accept theirs-full update
+            exitstatus=$?
+            if [ $exitstatus -eq 0 ]; then                
+                echo "forrest tck is updated to latest after $retrytime times try!"
+            fi
+        done        
+        retrytime=0
+        exitstatus=1
+    else
+        cd $HOME/tckdata/iterationexec        
+        until [ $exitstatus -eq 0 ]
+        do 
+            if [ $retrytime -eq 10 ]; then
+                echo "Try 10 times on checking out forrest tck, no success and stop trying..."
+                break
+            fi
+            retrytime=`expr $retrytime + 1`
+            echo "Retry $retrytime time after 5 seconds..."
+            sleep 5s
+            svn co http://svn.apache.org/repos/asf/geronimo/sandbox/forrest/tck scripts
+            exitstatus=$?
+            if [ $exitstatus -eq 0 ]; then
+                 echo "forrest tck is new checked out after $retrytime times try!"     
+            fi
+        done
+        retrytime=0
+        exitstatus=1       
+    fi   
+    
+    # Update geronimo tck
+    echo "*********************Update geronimo tck**********************"    
+    if [ -d $HOME/tckdata/iterationexec/project ]; then
+        cd $HOME/tckdata/iterationexec/project
+        until [ $exitstatus -eq 0 ]
+        do 
+            if [ $retrytime -eq 10 ]; then
+                echo "Try 10 times on updating geronimo tck, no success and stop trying..."
+                overallstatus=1
+                break
+            fi
+            retrytime=`expr $retrytime + 1`
+            echo "Retry $retrytime time after 5 seconds..."
+            sleep 5s
+            svn --non-interactive --accept theirs-full update
+            exitstatus=$?
+            if [ $exitstatus -eq 0 ]; then                
+                echo "geronimo tck is updated to latest after $retrytime times try!"
+            fi
+        done        
+        retrytime=0
+        exitstatus=1
+    else
+        cd $HOME/tckdata/iterationexec        
+        until [ $exitstatus -eq 0 ]
+        do 
+            if [ $retrytime -eq 10 ]; then
+                echo "Try 10 times on checking out geronimo tck, no success and stop trying..."
+                overallstatus=1
+                break
+            fi
+            retrytime=`expr $retrytime + 1`
+            echo "Retry $retrytime time after 5 seconds..."
+            sleep 5s
+            svn co https://svn.apache.org/repos/tck/geronimo-tck/porting/branches/3.0 project
+            exitstatus=$?
+            if [ $exitstatus -eq 0 ]; then
+                 echo "geronimo tck is new checked out after $retrytime times try!"     
+            fi
+        done
+        retrytime=0
+        exitstatus=1       
+    fi    
+else
+    # first time to create the folder
+    mkdir -p $HOME/tckdata/iterationexec
+    cd $HOME/tckdata/iterationexec
+        
+        until [ $exitstatus -eq 0 ]
+        do 
+            if [ $retrytime -eq 10 ]; then
+                echo "Try 10 times on checking out geronimo tck, no success and stop trying..."
+                overallstatus=1
+                break
+            fi
+            retrytime=`expr $retrytime + 1`
+            echo "Retry $retrytime time after 5 seconds..."
+            sleep 5s
+            exitstatus=0
+            svn co http://svn.apache.org/repos/asf/geronimo/sandbox/build-support/libraries/system/1
libraries/system
+            exitstatus=`expr $exitstatus + $?`
+            svn co http://svn.apache.org/repos/asf/geronimo/sandbox/forrest/tck scripts
+            exitstatus=`expr $exitstatus + $?`
+            svn co https://svn.apache.org/repos/tck/geronimo-tck/porting/branches/3.0 project
+            exitstatus=`expr $exitstatus + $?`
+            if [ $exitstatus -eq 0 ]; then
+                 echo "geronimo tck is new checked out after $retrytime times try!"     
+            fi
+        done
+        retrytime=0
+        exitstatus=1    
+fi
+
+exit $overallstatus
+
+

Propchange: geronimo/sandbox/forrest/tck/svnupdate4tck.sh
------------------------------------------------------------------------------
    svn:eol-style = native

Propchange: geronimo/sandbox/forrest/tck/svnupdate4tck.sh
------------------------------------------------------------------------------
    svn:executable = *

Propchange: geronimo/sandbox/forrest/tck/svnupdate4tck.sh
------------------------------------------------------------------------------
    svn:keywords = Date Revision



Mime
View raw message